站长之家 - 站长资讯 - 易采站长站

当前位置: > 建站教程 > 源码教程 > CMS 教程 >

动易系统解决IE8网站后台编辑器无效问题

2018-06-09 12:27 | 来源:易采源码网 | 编辑:admin |

微软的IE8正式版已于2009年3月20日正式发布了,也有不少的动易用户升级了自己的浏览器,但在升级后都发现动易的后台编辑器无法使用了,症状就是点击任何功能图标都没有弹出设置窗口,经过搜索了一下,终于找到了解决IE8下无法使用编辑器的方法。具体修改方法如下:
  
  打开根目录下的editor.asp,找到以下代码

  if (element.YUSERONCLICK) eval(element.YUSERONCLICK 'anonymous()');
  
  修改为


代码如下:
  if(navigator.appVersion.match(/8./i)=='8.')
  {  
  if (element.YUSERONCLICK) eval(element.YUSERONCLICK 'onclick(event)');
  }  
  else  
  {  
  if (element.YUSERONCLICK) eval(element.YUSERONCLICK 'anonymous()');
  }


因为浏览器的不断升级大家可以使用下面的代码
或者:


代码如下:
try{
if (element.YUSERONCLICK) eval_r(element.YUSERONCLICK + "anonymous()");
}
catch(e){
if (element.YUSERONCLICK) eval_r(element.YUSERONCLICK + "onclick(event)");
}

   
  保存,刷新系统文件,清理缓存。再重新打开后台编辑器看看:

图片点击可在新窗口打开查看



图片点击可在新窗口打开查看


  
  麻烦的话可以用修改过的editor.asp覆盖就可以了:下载地址:http://help.powereasy.net/help/UploadFiles_4256/200903/2009032311560290.rar
  
  注意:操作前自己最好先做好备份。
  
  鉴于有网友说,修改了根目录下editor.asp文件,本地有效而远程无效的问题,我这里补充一下,这是因为打开了IE8的兼容性视图造成的,取消IE8兼容性视图,即可解决此问题。

  • DedeCMS升级0715补丁出现“PHP 5.3 and above”错误的解决办法-DedeCms教程
  • 升级Dedecms 5.6后非原版幻灯无法调用的解决方案-DedeCms教程
  • ecshop增加多个产品详细描述编辑器的方法-ECshop教程
  • 帝国cms 从6.6升级到7.0 Multiple primary key defined解决方法-(EmpireCMS
  • 织梦dedecms编辑器中增加代码运行框-DedeCms教程
  • 织梦dedecms v5升级sp1后不显示上一篇、下一篇问题的解决方法-DedeCms教程
  • 升级到v2.7.0后 Deprecated: Function eregi() is-ECshop教程
  • 帝国CMS6.6升级到7.0常见问题汇总-(EmpireCMS)帝国CMS教程
  • 帝国CMS7.0碎片功能升级后的使用方法详解-(EmpireCMS)帝国CMS教程
  • PHPCMS V9 Ckeditor编辑器添加排版功能实现介绍-PhpCms教程
  • 网友评论

    关于我们 - 联系我们 - 广告服务 - 版权声明 - 人才招聘 - 友情链接 - 网站地图 - 帮助 - -

    CopyRight © 2010-2016 源码下载 easck.com , All Rights Reserved

    蒙公网安备 15052402000103号

    蒙ICP备14002389-1号